function val = phi(x,h,k,intervall)

%b-spline basis function%

%'l': left interval [x_{i-1},x_i]
%'r': right interval [x_i,x_{i+1}]
% k-th node


if strcmp(intervall,'l')
  val =  (x-(k-1)*h)/h;
else 
  val = -(x-(k+1)*h)/h;
end

end